#!/usr/bin/perl

open(DATA, '/var/lib/ulogd-rotate/rotate_date');
@podaci=<DATA>;
close(DATA);

$password = `grep pass /etc/ulogd.conf | grep -v changeme | head -1 | cut -d= -f2 | tr -d '"'`;
chomp($password);

$da_tn = `mysql -u ulogd --password='$password' < /usr/lib/ulogd-rotate/remove_ulog.sql | tail -1`;
chomp($da_tn);

$datum = @podaci[0];
chomp($datum);

$sql = "USE StuDOM;

DROP TABLE IF EXISTS `$da_tn`;

CREATE TABLE `ulog_$datum` (
 `id` int(10) unsigned NOT NULL,
 `raw_mac` char(17) default NULL,
 `oob_time_sec` int(10) unsigned default NULL,
 `ip_saddr` int(10) unsigned default NULL,
 `ip_daddr` int(10) unsigned default NULL,
 `ip_protocol` tinyint(3) unsigned default NULL,
 `tcp_sport` smallint(5) unsigned default NULL,
 `tcp_dport` smallint(5) unsigned default NULL,
 `udp_sport` smallint(5) unsigned default NULL,
 `udp_dport` smallint(5) unsigned default NULL,
 PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin2;

INSERT INTO ulog_$datum
 SELECT  *
 FROM ulog_tmp
 WHERE FROM_UNIXTIME(oob_time_sec,'\%Y\%m\%d') = '$datum'
 ORDER BY id;

DELETE FROM ulog_tmp
 WHERE FROM_UNIXTIME(oob_time_sec,'\%Y\%m\%d') = '$datum';
";

open(DATA,'>/var/lib/ulogd-rotate/mysqlulogrotate'.$datum.'.sql');
print DATA $sql;
close(DATA);

$tmp = `/usr/bin/mysql -u ulogd --password='$password' < /var/lib/ulogd-rotate/mysqlulogrotate$datum.sql`;
$tmp = `/usr/bin/myisampack -v /var/lib/mysql/StuDOM/ulog_$datum`;
$tmp = `/usr/bin/myisamchk -rq --sort-index --analyze /var/lib/mysql/StuDOM/ulog_$datum`;
